Bug 663461 - qpid and qmf libraries need to be available on PPC, zSeries architectures
Summary: qpid and qmf libraries need to be available on PPC, zSeries architectures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qpid-cpp
Version: 6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Ted Ross
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks: 663468
TreeView+ depends on / blocked
 
Reported: 2010-12-15 21:11 UTC by Perry Myers
Modified: 2012-04-03 14:03 UTC (History)
13 users (show)

Fixed In Version: qpid-qmf-0.12-2
Doc Type: Technology Preview
Doc Text:
Note that qpid-cpp on architectures beyond x86 and x86_64 is only supported in the context of its use with Matahari.
Clone Of:
Environment:
Last Closed: 2011-12-06 16:50:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
qpid-cpp patch for support of ppc64 and s390x architectures (2.35 KB, patch)
2011-07-13 17:09 UTC, Radek Novacek
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1670 normal SHIPPED_LIVE qpid-cpp bug fix and enhancement update 2011-12-06 00:50:15 UTC

Description Perry Myers 2010-12-15 21:11:41 UTC
Description of problem:
Presently, qpid-cpp is only build for x86 and x86_64 architectures.  qpid-cpp contains both RPMs for the qpid broker as well as client libraries for qpid/QMF.

This bug does not provide the qpid broker for PPC and zSeries.  Just the qpid/qmf libraries.

These libraries are needed to provide Matahari agent infrastructure on these additional platforms.

Comment 3 Perry Myers 2011-07-11 20:16:33 UTC
In order to do this, we'll need to conditionally compile out certain features on these add'l architectures.  For example, we do not need the HA broker functionality so we can compile out the BuildRequires for corosync.  This means we need to add some arch conditionals to the spec file.  An example of how to do this is here:

http://pkgs.fedoraproject.org/gitweb/?p=collectd.git;a=blob;f=collectd.spec;h=a4514c54bfb96a87c5509e20ef0b84fb828d4751;hb=HEAD#l17

Comment 4 Roman Rakus 2011-07-12 12:37:11 UTC
Currently there are two missing requires - cluster and corosync.
Both are not needed on other archs.

Comment 5 Radek Novacek 2011-07-13 17:09:52 UTC
Created attachment 512710 [details]
qpid-cpp patch for support of ppc64 and s390x architectures

This patch enables building on all architectures. For s390x it disables rdma subpackage. For s390x and ppc64 it disables cluster subpackage.

Comment 11 Ted Ross 2011-08-15 13:55:31 UTC
qpid-qmf was rebuilt (qpid-qmf-0.12-2.el6) to remove this dependency.

Comment 18 Russell Bryant 2011-10-11 19:29:32 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Note that qpid-cpp on architectures beyond x86 and x86_64 is only supported in the context of its use with Matahari.

Comment 20 errata-xmlrpc 2011-12-06 16:50:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1670.html


Note You need to log in before you can comment on or make changes to this bug.